package com.bwie.controller;

import com.bwie.common.LoginRequest;
import com.bwie.common.Result;
import com.bwie.service.impl.UserServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class UserController {
    @Autowired
    private UserServiceImpl userService;

    /**
     * 登录
     * @param loginRequest
     * @return
     */
    @PostMapping("login")
    public Result login(@RequestBody LoginRequest loginRequest){
        return userService.login(loginRequest);
    }
}
