package com.bwie.test;

import org.junit.jupiter.api.Test;

/**
 * 算法
 */
public class Test01 {
    @Test
    public int canJump(int[] nums) {
        int maxIndex = 0; // 每次跳跃后的最大边界
        int step = 0; // 记录跳跃步数
        int end = 0; // 每一次搜完一层后更新end，并且将步数加1，直到可以跳到最后一格
        for (int i = 0; i < nums.length - 1; i++) {
            if (maxIndex >= i) {
                maxIndex = Math.max(maxIndex, i + nums[i]); // 找到下次可以到达的最远边界。
                if (i == end) { // 如果已经搜完了这一层，就将步数加1，并更新end的位置。
                    end = maxIndex;
                    step++;
                }
            }
        }
        return step;
    }
}
